This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 665523 - webkitgtk doesn't honour desktop font rendering settings
webkitgtk doesn't honour desktop font rendering settings
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: webkitgtk (Show other bugs)
14
Unspecified Unspecified
low Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-12-24 05:15 EST by James
Modified: 2011-03-26 17:39 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-03-26 17:39:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Example webkitgtk rendering from Midori (162.89 KB, image/png)
2010-12-24 05:15 EST, James
no flags Details
Correct sample rendering in Galeon (175.00 KB, image/png)
2010-12-24 05:15 EST, James
no flags Details

  None (edit)
Description James 2010-12-24 05:15:13 EST
Created attachment 470606 [details]
Example webkitgtk rendering from Midori

Description of problem:
I have my font rendering set to RGB sub-pixel anti-aliasing with slight hinting. The webkitgtk component (tested in Midori and Uzbl) insists on using full hinting, see attached screenshots.

Version-Release number of selected component (if applicable):
freetype-2.4.2-4.fc14.i686
freetype-2.4.2-4.fc14.x86_64
fontconfig-2.8.0-2.fc14.x86_64
fontconfig-2.8.0-2.fc14.i686
webkitgtk-1.3.6-1.fc14.x86_64
Comment 1 James 2010-12-24 05:15:59 EST
Created attachment 470607 [details]
Correct sample rendering in Galeon
Comment 2 Kevin Fenzi 2010-12-25 14:10:58 EST
Does this occur in /usr/libexec/webkitgtk/GtkLauncher ? Thats the best way to tell if this is a webkitgtk issue, or something in one of the packages that uses it. 

How are you setting things? Gnome with gnome-control-center? kde? xfce?
Comment 3 James 2010-12-25 15:21:29 EST
(In reply to comment #2)
> Does this occur in /usr/libexec/webkitgtk/GtkLauncher ? 

Yes.

> How are you setting things? Gnome with gnome-control-center? kde? xfce?

Via gnome-control-center (System > Preferences > Appearance).
Comment 4 Kevin Fenzi 2010-12-26 13:09:58 EST
I can confirm this here. ;( 

I did some digging around yesterday on it, but didn't find anything conclusive. 
webkitgtk should handle this, but isn't. ;( It might be a bug in 1.3.x or something wrong in our pangocairo stack. Will keep digging. 

Thanks for reporting this.
Comment 5 Kevin Fenzi 2010-12-26 18:08:38 EST
Freetype/cairo seem to be ignoring the XSETTINGS properties when you set them. Instead they look at the freetype /etc/fonts/ stuff. 

If you make a ~/.fonts.conf and put in it: 


<?xml version="1.0"?>
<!DOCTYPE fontconfig SYSTEM "fonts.dtd">
<fontconfig>
  <match target="font">
    <edit mode="assign" name="antialias"><bool>true</bool></edit>
    <edit name="autohint" mode="assign"><bool>false</bool></edit>
    <edit name="hinting" mode="assign"><bool>true</bool></edit>
    <edit name="hintstyle" mode="assign"><int>1</int></edit>
    <edit name="rgba" mode="assign"><const>bgr</const></edit>
  </match>
</fontconfig>

Does it obey those settings for you? 

I'm not sure what the plan is for getting freetype to read XSETTINGS or otherwise play nice is...
Comment 6 James 2010-12-27 05:52:34 EST
(In reply to comment #5)
> Does it obey those settings for you? 

Yes, it does. Font rendering is now consistent with other applications.
Comment 7 Kevin Fenzi 2011-01-02 15:06:38 EST
I'm not sure there is any way to fix this in webkit, short of moving to the cairo backend (which doesn't work with some languages correctly). 

So, options are: 

1) Just close this bug and use the freetype config to work around it for now. 
2) Try and move this over to freetype to ask them to add XSettings support. 
3) close this and wait for webkit upstream to move to another backend. 

Thoughts?
Comment 8 Fedora Admin XMLRPC Client 2011-03-15 13:19:30 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 9 Kevin Fenzi 2011-03-26 17:39:34 EDT
I'm going to go ahead and close this now. 

Feel free to reopen if there's further action for me to take.

Note You need to log in before you can comment on or make changes to this bug.